Problem about install MATRIX CLI

When I tape npm install -g matrix-cli , it show the erreurs below.

npm ERR! path C:\Users\autoe\AppData\Roaming\npm-cache_cacache\tmp\git-clone-30b1521d\helpers.js
npm ERR! code EPERM
npm ERR! errno -4048
npm ERR! syscall unlink
npm ERR! Error: EPERM: operation not permitted, unlink ‘C:\Users\autoe\AppData\Roaming\npm-cache_cacache\tmp\git-clone-30b1521d\helpers.js’
npm ERR! { Error: EPERM: operation not permitted, unlink ‘C:\Users\autoe\AppData\Roaming\npm-cache_cacache\tmp\git-clone-30b1521d\helpers.js’
npm ERR! cause:
npm ERR! { Error: EPERM: operation not permitted, unlink ‘C:\Users\autoe\AppData\Roaming\npm-cache_cacache\tmp\git-clone-30b1521d\helpers.js’
npm ERR! errno: -4048,
npm ERR! code: ‘EPERM’,
npm ERR! syscall: ‘unlink’,
npm ERR! path: ‘C:\Users\autoe\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-30b1521d\helpers.js’ },
npm ERR! isOperational: true,
npm ERR! stack: ‘Error: EPERM: operation not permitted, unlink ‘C:\Users\autoe\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-30b1521d\helpers.js’’,
npm ERR! errno: -4048,
npm ERR! code: ‘EPERM’,
npm ERR! syscall: ‘unlink’,
npm ERR! path: ‘C:\Users\autoe\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-30b1521d\helpers.js’ }
npm ERR!
npm ERR! Please try running this command again as root/Administrator.
npm WARN deprecated MD5@1.2.2: deprecated, use lowercase ‘md5@2.x’ from now on
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
npm WARN deprecated to-iso-string@0.0.2: to-iso-string has been deprecated, use @segment/to-iso-string instead.
npm WARN deprecated jade@0.26.3: Jade has been renamed to pug, please install the latest version of pug instead of jade
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated formatio@1.1.1: This package is unmaintained. Use @sinonjs/formatio instead
C:\Users\autoe\AppData\Roaming\npm\matrix -> C:\Users\autoe\AppData\Roaming\npm\node_modules\matrix-cli\bin\matrix

  • matrix-cli@1.7.0
    updated 1 package in 43.274s
    npm ERR! Callback called more than once.
    npm ERR! A complete log of this run can be found in:
    npm ERR! C:\Users\autoe\AppData\Roaming\npm-cache_logs\2018-04-24T09_48_56_862Z-debug.log

I’ve upload minimatch to 3.04 with npm install -g minimatch,but still the problem.

Can someone know why this ?

You may need to sudo npm install -g matrix-cli

Did you solve the issue? I am having the same problem.

I type sudo npm install -g matrix-cli but still the problem.

Looks like you are on Windows, try running the cmd as an Admin and give it another try
image